Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 22 Mar 2002 01:16:16 GMT
From:      Janos Mohacsi <janos.mohacsi@dante.org.uk>
To:        FreeBSD-gnats-submit@FreeBSD.org
Subject:   ports/36186: New Port: www6to4 version 1.5
Message-ID:  <200203220116.g2M1GGG36946@budapest.dante.org.uk>

next in thread | raw e-mail | index | archive | help

>Number:         36186
>Category:       ports
>Synopsis:       New Port: www6to4 version 1.5
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Thu Mar 21 17:20:00 PST 2002
>Closed-Date:
>Last-Modified:
>Originator:     Janos Mohacsi
>Release:        FreeBSD 4.4-STABLE i386
>Organization:
DANTE
>Environment:
System: FreeBSD budapest.dante.org.uk 4.4-STABLE FreeBSD 4.4-STABLE #1: Sun Oct 21 13:05:36 BST 2001 janos@budapest.dante.org.uk:/usr/src/sys/compile/BUDAPEST i386


>Description:
	New lightweight http proxy to help IPv4 only browsers to reach IPv6 Internet
>How-To-Repeat:
	Apply this shar.
>Fix:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	www6to4
#	www6to4/pkg-plist
#	www6to4/pkg-descr
#	www6to4/pkg-comment
#	www6to4/distinfo
#	www6to4/Makefile
#	www6to4/files
#	www6to4/files/patch-Makefile
#	www6to4/files/patch-www6to4.c
#	www6to4/files/www6to4.sh
#
echo c - www6to4
mkdir -p www6to4 > /dev/null 2>&1
echo x - www6to4/pkg-plist
sed 's/^X//' >www6to4/pkg-plist << 'END-of-www6to4/pkg-plist'
Xsbin/www6to4
Xetc/www6to4/www6to4.conf.sample
Xetc/www6to4/www6to4_forward.conf.sample
Xshare/docs/www6to4/README
X@dirrm etc/www6to4
X@dirrm share/docs/www6to4
END-of-www6to4/pkg-plist
echo x - www6to4/pkg-descr
sed 's/^X//' >www6to4/pkg-descr << 'END-of-www6to4/pkg-descr'
XThis is a little WWW-proxy that can communicate over both IPv4 and IPv6. It's
Xprimary use is as stub-proxy between a IPv4-only browser and the rest of the
X(v4 and v6) Internet. This proxy is meant to run on a client machine as
Xfrontend to an IPv4-only browser and not to serve a large number of clients.
XIf you need the latter you're much better off with a full-fledged proxy like
Xsquid. 
X
XThis program is based on same code copyrighted by the Junkbusters Corp.
X
XWWW: http://www.vermicelli.pasta.cs.uit.no/ipv6/software.html
END-of-www6to4/pkg-descr
echo x - www6to4/pkg-comment
sed 's/^X//' >www6to4/pkg-comment << 'END-of-www6to4/pkg-comment'
XLightweight http proxy to help IPv4 only browsers
END-of-www6to4/pkg-comment
echo x - www6to4/distinfo
sed 's/^X//' >www6to4/distinfo << 'END-of-www6to4/distinfo'
XMD5 (www6to4-1.5.tar.gz) = 6f1e4940c0f82196d8ebbe52761e2478
END-of-www6to4/distinfo
echo x - www6to4/Makefile
sed 's/^X//' >www6to4/Makefile << 'END-of-www6to4/Makefile'
X# New ports collection makefile for:    www6to4
X# Date created:         22.03.2002
X# Whom: Janos Mohacsi <janos.mohacsi@dante.org.uk>
X#
X# $FreeBSD$
X
XPORTNAME=	www6to4
XPORTVERSION=    1.5
XCATEGORIES=	www ipv6
XMASTER_SITES=   ftp://ftp.pasta.cs.uit.no/pub/Vermicelli/
X
XMAINTAINER=	Janos.Mohacsi@dante.org.uk
X
Xdo-install:
X	${INSTALL_PROGRAM} ${WRKSRC}/www6to4 ${PREFIX}/sbin
X	@if [ ! -d ${PREFIX}/etc/www6to4 ]; then \
X		${MKDIR} ${PREFIX}/etc/www6to4; fi
X	${INSTALL_DATA} ${WRKSRC}/www6to4.conf \
X		${PREFIX}/etc/www6to4/www6to4.conf.sample
X	${INSTALL_DATA} ${WRKSRC}/www6to4_forward.conf \
X		${PREFIX}/etc/www6to4/www6to4_forward.conf.sample
X	if [ ! -d ${PREFIX}/share/docs/www6to4 ]; then \
X		${MKDIR} ${PREFIX}/share/docs/www6to4; fi
X	${INSTALL_DATA} ${WRKSRC}/README \
X		${PREFIX}/share/docs/www6to4
X	@if [ ! -f ${PREFIX}/etc/rc.d/www6to4.sh ]; then \
X		${ECHO} "Installing ${PREFIX}/etc/rc.d/www6to4.sh startup file."; \
X		${INSTALL_SCRIPT} -m 751 ${FILESDIR}/www6to4.sh ${PREFIX}/etc/rc.d/www6to4.sh; \
X	fi
X
X.include <bsd.port.mk>
END-of-www6to4/Makefile
echo c - www6to4/files
mkdir -p www6to4/files > /dev/null 2>&1
echo x - www6to4/files/patch-Makefile
sed 's/^X//' >www6to4/files/patch-Makefile << 'END-of-www6to4/files/patch-Makefile'
X*** Makefile.orig	Fri Mar 22 00:24:37 2002
X--- Makefile	Fri Mar 22 00:25:17 2002
X***************
X*** 6,11 ****
X--- 6,13 ----
X  
X  OBJS = www6to4.o parsers.c loaders.o socket.o
X  
X+ all: $(PROG)
X+ 
X  $(PROG): $(OBJS)
X  	$(CC) $(CFLAGS) -o $(PROG) $(OBJS) $(LDFLAGS)
X  
END-of-www6to4/files/patch-Makefile
echo x - www6to4/files/patch-www6to4.c
sed 's/^X//' >www6to4/files/patch-www6to4.c << 'END-of-www6to4/files/patch-www6to4.c'
X*** www6to4.c.orig	Fri Mar 22 00:25:51 2002
X--- www6to4.c	Fri Mar 22 00:26:48 2002
X***************
X*** 59,65 ****
X  char *patterns[MAXPATTERNS];
X  int lastpattern = -1;
X  
X! char *default_configfile = "/etc/www6to4.conf";
X  char *configfile = NULL;
X  char *forwardfile = NULL;
X  int debug = 0;
X--- 59,65 ----
X  char *patterns[MAXPATTERNS];
X  int lastpattern = -1;
X  
X! char *default_configfile = "/usr/local/etc/www6to4/www6to4.conf";
X  char *configfile = NULL;
X  char *forwardfile = NULL;
X  int debug = 0;
END-of-www6to4/files/patch-www6to4.c
echo x - www6to4/files/www6to4.sh
sed 's/^X//' >www6to4/files/www6to4.sh << 'END-of-www6to4/files/www6to4.sh'
X#!/bin/sh
X# $FreeBSD$
X
Xif ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
X	echo "$0: Cannot determine the PREFIX" >&2
X	exit 1
Xfi
X
XWWW6TO4DIR=${PREFIX}/etc/www6to4
X
X
Xcase $1 in
Xstart)
X	if [ -d ${WWW6TO4DIR} \
X	     -a -x ${PREFIX}/sbin/www6to4 \
X	     -a -f ${WWW6TO4DIR}/www6to4.conf ]; then
X		: seems OK
X	else
X		echo >&2 "$0: missing files!"
X		exit 1
X	fi
X	cd ${WWW6TO4DIR}
X	su -m nobody -c "${PREFIX}/sbin/www6to4 &" \
X	    >/dev/null \
X	&& echo -n " www6to4" \
X	|| echo " www6to4 FAILED TO START"
X	;;
Xstop)
X	killall www6to4 && echo -n " www6to4"
X	;;
Xrestart)
X	$0 stop
X	$0 start
X	;;
X*)
X	echo "Usage: `basename $0` {start|stop}" >&2
X	exit 64
X	;;
Xesac
X
Xexit 0
END-of-www6to4/files/www6to4.sh
exit

>Release-Note:
>Audit-Trail:
>Unformatted:

To Unsubscribe: send mail to majordomo@FreeBSD.org
with "unsubscribe freebsd-ports" in the body of the message




Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?200203220116.g2M1GGG36946>